Browse Source

Sync with portage [Thu Dec 17 15:40:00 MSK 2020].

master
Calculate Linux 2 years ago
parent
commit
2daeb387c2
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. 0
      acct-group/dehydrated/Manifest
  4. 10
      acct-group/dehydrated/dehydrated-0.ebuild
  5. 11
      acct-group/dehydrated/metadata.xml
  6. BIN
      acct-user/Manifest.gz
  7. 0
      acct-user/dehydrated/Manifest
  8. 14
      acct-user/dehydrated/dehydrated-0.ebuild
  9. 11
      acct-user/dehydrated/metadata.xml
  10. BIN
      app-accessibility/Manifest.gz
  11. 2
      app-accessibility/caribou/caribou-0.4.21-r1.ebuild
  12. BIN
      app-admin/Manifest.gz
  13. 1
      app-admin/ansible-base/Manifest
  14. 63
      app-admin/ansible-base/ansible-base-2.10.4.ebuild
  15. 1
      app-admin/ansible/Manifest
  16. 79
      app-admin/ansible/ansible-2.10.4.ebuild
  17. 1
      app-admin/eselect/Manifest
  18. 58
      app-admin/eselect/eselect-1.4.17.ebuild
  19. 12
      app-admin/eselect/eselect-9999.ebuild
  20. 1
      app-admin/exo/Manifest
  21. 36
      app-admin/exo/exo-1.21.0.ebuild
  22. 2
      app-admin/gentoo-perl-helpers/gentoo-perl-helpers-0.4.0.ebuild
  23. 2
      app-admin/passwordsafe/passwordsafe-1.12.0-r1.ebuild
  24. 2
      app-admin/rsyslog/Manifest
  25. 481
      app-admin/rsyslog/rsyslog-8.2012.0.ebuild
  26. 4
      app-admin/salt/Manifest
  27. 13
      app-admin/salt/files/salt-2019.2.8-ansible-roster-fix.patch
  28. 151
      app-admin/salt/salt-2019.2.8.ebuild
  29. 194
      app-admin/salt/salt-3000.6.ebuild
  30. 0
      app-admin/salt/salt-3001.4.ebuild
  31. BIN
      app-arch/Manifest.gz
  32. 2
      app-arch/lz4/lz4-1.9.3.ebuild
  33. 1
      app-arch/zstd/Manifest
  34. 73
      app-arch/zstd/zstd-1.4.7.ebuild
  35. BIN
      app-backup/Manifest.gz
  36. 4
      app-backup/bareos/Manifest
  37. 0
      app-backup/bareos/bareos-18.2.10.ebuild
  38. 0
      app-backup/bareos/bareos-19.2.9.ebuild
  39. BIN
      app-benchmarks/Manifest.gz
  40. 1
      app-benchmarks/geekbench/Manifest
  41. 43
      app-benchmarks/geekbench/geekbench-5.2.3.ebuild
  42. 2
      app-benchmarks/geekbench/geekbench-5.3.1.ebuild
  43. BIN
      app-crypt/Manifest.gz
  44. 1
      app-crypt/dehydrated/Manifest
  45. 50
      app-crypt/dehydrated/dehydrated-0.7.0.ebuild
  46. 30
      app-crypt/dehydrated/files/dehydrated-0.7.0-fix-CN-extraction-for-older-openssl-versions.patch
  47. 2
      app-crypt/libmd/libmd-1.0.1.ebuild
  48. 2
      app-crypt/nwipe/Manifest
  49. 5
      app-crypt/nwipe/nwipe-0.30.ebuild
  50. 4
      app-crypt/p11-kit/Manifest
  51. 62
      app-crypt/p11-kit/p11-kit-0.23.20-r1.ebuild
  52. 62
      app-crypt/p11-kit/p11-kit-0.23.21.ebuild
  53. 0
      app-crypt/p11-kit/p11-kit-0.23.22.ebuild
  54. 1
      app-crypt/ssss/Manifest
  55. 39
      app-crypt/ssss/ssss-0.5.7.ebuild
  56. BIN
      app-editors/Manifest.gz
  57. 2
      app-editors/nano/nano-4.9.3.ebuild
  58. 2
      app-editors/nano/nano-5.3-r1.ebuild
  59. 2
      app-editors/nano/nano-5.4.ebuild
  60. 2
      app-editors/nano/nano-9999.ebuild
  61. 2
      app-editors/neovim/neovim-0.4.4.ebuild
  62. 4
      app-editors/vis/Manifest
  63. 7
      app-editors/vis/vis-0.7.ebuild
  64. 2
      app-editors/vis/vis-9999.ebuild
  65. BIN
      app-emulation/Manifest.gz
  66. 1
      app-emulation/diskimage-builder/Manifest
  67. 39
      app-emulation/diskimage-builder/diskimage-builder-3.5.0.ebuild
  68. 2
      app-emulation/lxd/Manifest
  69. 212
      app-emulation/lxd/lxd-4.0.3-r2.ebuild
  70. BIN
      app-eselect/Manifest.gz
  71. 2
      app-eselect/eselect-lua/eselect-lua-2.ebuild
  72. BIN
      app-misc/Manifest.gz
  73. 2
      app-misc/golly/golly-4.0.ebuild
  74. 2
      app-misc/mc/mc-4.8.25.ebuild
  75. BIN
      app-office/Manifest.gz
  76. 2
      app-office/moneydance/Manifest
  77. 2
      app-office/moneydance/moneydance-2021.2006.ebuild
  78. 2
      app-office/scribus/scribus-1.5.6.1.ebuild
  79. 2
      app-office/texstudio/Manifest
  80. 22
      app-office/texstudio/texstudio-3.0.1-r1.ebuild
  81. BIN
      app-pda/Manifest.gz
  82. 2
      app-pda/libimobiledevice/libimobiledevice-1.3.0-r1.ebuild
  83. 2
      app-pda/libplist/libplist-2.2.0-r2.ebuild
  84. 2
      app-pda/libusbmuxd/libusbmuxd-2.0.2-r1.ebuild
  85. BIN
      app-portage/Manifest.gz
  86. 2
      app-portage/eix/eix-0.34.11.ebuild
  87. 2
      app-portage/kuroo/Manifest
  88. 42
      app-portage/kuroo/files/kuroo-0.90.5_p20180410-qt-5.11.patch
  89. 28
      app-portage/kuroo/kuroo-1.0.0.ebuild
  90. 5
      app-portage/kuroo/kuroo-9999.ebuild
  91. BIN
      app-shells/Manifest.gz
  92. 31
      app-shells/fzf/Manifest
  93. 13
      app-shells/fzf/files/fzf-0.21.0-makefile.patch
  94. 121
      app-shells/fzf/fzf-0.21.0.ebuild
  95. 120
      app-shells/fzf/fzf-0.21.1.ebuild
  96. 87
      app-shells/fzf/fzf-0.24.0.ebuild
  97. 69
      app-shells/fzf/fzf-0.24.4.ebuild
  98. 4
      app-shells/fzf/metadata.xml
  99. 1
      app-shells/mksh/Manifest
  100. 2
      app-shells/mksh/mksh-59.ebuild

BIN
Manifest.files.gz

BIN
acct-group/Manifest.gz

0
acct-group/dehydrated/Manifest

10
acct-group/dehydrated/dehydrated-0.ebuild

@ -0,0 +1,10 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="dehydrated program group"
ACCT_GROUP_ID=361

11
acct-group/dehydrated/metadata.xml

@ -0,0 +1,11 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
</maintainer>
<maintainer type="person">
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
</maintainer>
</pkgmetadata>

BIN
acct-user/Manifest.gz

0
acct-user/dehydrated/Manifest

14
acct-user/dehydrated/dehydrated-0.ebuild

@ -0,0 +1,14 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="dehydrated program user"
ACCT_USER_ID=361
ACCT_USER_GROUPS=( ${PN} )
ACCT_USER_HOME=/var/lib/${PN}
acct-user_add_deps

11
acct-user/dehydrated/metadata.xml

@ -0,0 +1,11 @@
<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>mschiff@gentoo.org</email>
</maintainer>
<maintainer type="person">
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
</maintainer>
</pkgmetadata>

BIN
app-accessibility/Manifest.gz

2
app-accessibility/caribou/caribou-0.4.21-r1.ebuild

@ -16,7 +16,7 @@ HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"

BIN
app-admin/Manifest.gz

1
app-admin/ansible-base/Manifest

@ -1,2 +1,3 @@
DIST ansible-base-2.10.2.tar.gz 6023200 BLAKE2B 80abfa3fab56d3f997cbe90b557ffd5004b216709d6ba2c6d50ea0fb7a2e5a2ad49ce83bfc7a17054582e786f53ce29814d8b5a3fc2408a1e729b1647619080c SHA512 2ee60303841e88d3451ddbcc4c18473d3a37253873406b0783816b1bbf9d8404599ebed12bac7c7f32693314048668b84f3a1c593621c7b8c37a7b48687c769b
DIST ansible-base-2.10.3.tar.gz 5836841 BLAKE2B 000ee1e369beb450a9a58680030fc7605f62020a28f0ec4634569be0b12ca54c79d0c36a6022895f93b6f8449b8f8483e07590eeea233383490600bbce600aff SHA512 4da2c79c7d990bbe07e136447643484d947e512693194017623deadd88d6556dac67865069182059ae2daf82a13876600dc5472712d6ab6e0556cb829fce3b5b
DIST ansible-base-2.10.4.tar.gz 5708083 BLAKE2B dcae17dd84dd1985703bf55bffd4a7907ecf072fcc52c76633fd2fc1d3461901b284002f69ce542ab8447f7aa6a2f65ff4c9abca1a7c1c8df3ad69a4179b1c33 SHA512 50dcccc0b40f47590d3ea56907f987bddbb858952b0d6a999db0b706232a571037dc31e66a773370be57ca14d11a7091c53a480d7f3cecf4a5e7f91895661100

63
app-admin/ansible-base/ansible-base-2.10.4.ebuild

@ -0,0 +1,63 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
SRC_URI="https://releases.ansible.com/${PN}/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
IUSE="test"
RESTRICT="test"
# doc removed due to https://github.com/ansible/ansible/issues/71395
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
!<app-admin/ansible-2.10
"
# ansible-2.10 or above is needed for the collections
DEPEND="
!<app-admin/ansible-2.10
dev-python/setuptools[${PYTHON_USEDEP}]
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
python_compile() {
# disable version checks on upgrade
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
distutils-r1_python_install_all
dodoc -r examples
}

1
app-admin/ansible/Manifest

@ -1,2 +1,3 @@
DIST ansible-2.10.0.tar.gz 25454980 BLAKE2B 91f930518b90b36aa2c21f553092233059fada86fd1674c9c6e881484b1bd4e68a3eaa05d82e15115906e55da99c43394c3de36a898e26bb222f780b82f8a5bd SHA512 878036f06e1705e4392223bda210b2acae0232069d0cec02a47f13f6b3bc6c9538fb515a2d2dc6003695bcf0915fdd3dfc5b8dc59355e37e2ca8fa48bbd79657
DIST ansible-2.10.1.tar.gz 25851704 BLAKE2B f9f42ab9f7864a48f0d960b4e8149dfba3ece6c4b01c08db59f9ba5fbcd39771c7b315bf7c9853641d15c2bb6319c9b9ebc791440fc8933780895024c9b74c12 SHA512 46bbbfb22e5c3715df0069d420b174877dffd59f91613779e7057648d15751d528a9cb57357709d0c04a507a60e20c87b109ba1904e1f313441cf5832ba93b5e
DIST ansible-2.10.4.tar.gz 28622006 BLAKE2B 94551986f5e8ef54dd4f806a264f8373b19564f74b32bfc6d852d49b7b9ff1030ad3c2fdda2f16bc78c0dae5e07cc750a3992bca23fd9bff0f2466716ac32374 SHA512 da9517ad1f478eb8ccab3bad15f3f6ca4d6151798b5aab6db261c4b19a0ac023db1e294745a06748788820ece8980bf1c2c6274314fa0a2943b76c0658383b72

79
app-admin/ansible/ansible-2.10.4.ebuild

@ -0,0 +1,79 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1 eutils
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://ansible.com/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~x64-macos"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="doc test"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
app-admin/ansible-base
"
DEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
app-admin/ansible-base
doc? (
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/sphinx-notfound-page[${PYTHON_USEDEP}]
>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
)
test? (
${RDEPEND}
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/unittest2[${PYTHON_USEDEP}]
dev-vcs/git
)"
python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_compile_all() {
if use doc; then
cd docs/docsite || die
export CPUS=4
emake -f Makefile.sphinx html
fi
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}
python_install_all() {
use doc && local HTML_DOCS=( docs/docsite/_build/html/. )
distutils-r1_python_install_all
}

1
app-admin/eselect/Manifest

@ -1,2 +1,3 @@
DIST eselect-1.4.15.tar.xz 178996 BLAKE2B 4354d975c8af2e1de0f0c6efe2badc92584e947f9b73c05aac144caf8f9d74c850d366c7c225112322a504262b5f285f6e2e8d32223f1b2d4bac87db740a148c SHA512 ceb55fecc2bf70e816679af9b20653b29aa9ce24ca2d4cd0c6e02ab214689459bc2ccd5b3968ac49249b8fb6613c6055e7e76598b86c6a114a9abf847c4a2b58
DIST eselect-1.4.16.tar.xz 178660 BLAKE2B dae97ee324cb67983c5395b5dc54c4b84d2da43f6a0c5c8ab81ff402ab211e9d1f1d3fe5c174b130ac1e11d3dd19e3812056274145415ee029e649cda880cd95 SHA512 264fb6122f5f7c9e73bb2250a94c3c0377e5263e2e5ae653ed58e08ebf6ed1b4aa165ae5c1d70b0156081c4db5672d1ec9d379782919d5b40a2f3e862378ce62
DIST eselect-1.4.17.tar.xz 178980 BLAKE2B d905ac88bc009080912af75e64c7920d745788866fa3cb35466d68a652efbbd6984d6e1efeed76d9a344aed94705b74c85aa43e9c037d4d548d2e24afa69bd7a SHA512 35dc4c52f44c4f64db9c0dc2aec57b3055a6d36760b1bbbd094ad11b3f9e71a731444802632817b89c3b511f1dc9bb92046b59322d177e13fdc501ed767b591e

58
app-admin/eselect/eselect-1.4.17.ebuild

@ -0,0 +1,58 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit bash-completion-r1
DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Eselect"
SRC_URI="https://dev.gentoo.org/~ulm/eselect/${P}.tar.xz"
LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-4.0 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc emacs vim-syntax"
DEPEND="sys-apps/sed
|| (
sys-apps/coreutils
app-misc/realpath
)"
RDEPEND="${DEPEND}
sys-apps/file
sys-libs/ncurses:0"
BDEPEND="doc? ( dev-python/docutils )"
PDEPEND="emacs? ( app-emacs/eselect-mode )
vim-syntax? ( app-vim/eselect-syntax )"
src_compile() {
emake
use doc && emake html
}
src_install() {
emake DESTDIR="${D}" install
newbashcomp misc/${PN}.bashcomp ${PN}
dodoc AUTHORS ChangeLog NEWS README TODO doc/*.txt
if use doc; then
docinto html
dodoc *.html doc/*.html doc/*.css
fi
# needed by news module
keepdir /var/lib/gentoo/news
if ! use prefix; then
fowners root:portage /var/lib/gentoo/news
fperms g+w /var/lib/gentoo/news
fi
}
pkg_postinst() {
# fowners in src_install doesn't work for the portage group:
# merging changes the group back to root
if ! use prefix; then
chgrp portage "${EROOT}/var/lib/gentoo/news" \
&& chmod g+w "${EROOT}/var/lib/gentoo/news"
fi
}

12
app-admin/eselect/eselect-9999.ebuild

@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/eselect.git"
@ -10,21 +10,19 @@ inherit autotools git-r3 bash-completion-r1
DESCRIPTION="Gentoo's multi-purpose configuration and management tool"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Eselect"
LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-3.0 )"
LICENSE="GPL-2+ || ( GPL-2+ CC-BY-SA-4.0 )"
SLOT="0"
IUSE="doc emacs vim-syntax"
RDEPEND="sys-apps/sed
DEPEND="sys-apps/sed
|| (
sys-apps/coreutils
app-misc/realpath
)"
DEPEND="${RDEPEND}
doc? ( dev-python/docutils )"
RDEPEND="${RDEPEND}
RDEPEND="${DEPEND}
sys-apps/file
sys-libs/ncurses:0"
BDEPEND="doc? ( dev-python/docutils )"
PDEPEND="emacs? ( app-emacs/eselect-mode )
vim-syntax? ( app-vim/eselect-syntax )"

1
app-admin/exo/Manifest

@ -1,2 +1 @@
DIST exo-1.21.0.tar.gz 4625218 BLAKE2B f73c18f1de5a8e8063e66ec11352d9221268289d298bb6ecaa9cb625c00685b68d0f7760614df8cf783bb123bbdb52d3fd9d8c482933445bb089d6e9d493882c SHA512 0a2279ef368e13286082813ebbae38cd5c2e185e43e5d2b2fb851382be8b8a5c08512124638d987401d0e821042bafba50f955a672eec6ce0951f0149d2ec34a
DIST exo-1.22.0.tar.gz 4684873 BLAKE2B a143517a99fde17c237c25dcdd4b54570d6ce9760157d24c8f09c26851b5fb65c6ac56506179a008f32cc657cf40fb781eb304375e3f3422a5166e6b1c194164 SHA512 f68d1524c8a1dc44aca4ab1999ebbc93a980a58344c1b39c68eb54b4651d9471b310541c2d34a43e67ad956ed93e2d3ce89c3ebeb450b620c641907684572799

36
app-admin/exo/exo-1.21.0.ebuild

@ -1,36 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Command-line tool for everything at Exoscale: compute, storage, dns."
HOMEPAGE="https://github.com/exoscale/cli"
SRC_URI="https://github.com/exoscale/cli/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND="dev-lang/go:="
RESTRICT="strip"
QA_FLAGS_IGNORED=".*"
S="${WORKDIR}/cli-${PV}"
src_compile() {
go build -mod vendor -o ${PN} || die "build failed"
}
src_test() {
# run at least 'exo version' for test
./exo version > /dev/null 2>&1
if [[ $? -ne 0 ]]
then
die "Test failed"
fi
}
src_install() {
dobin ${PN}
}

2
app-admin/gentoo-perl-helpers/gentoo-perl-helpers-0.4.0.ebuild

@ -12,7 +12,7 @@ SRC_URI="
"
LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 x86"
KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE=""
# Assumed System:

2
app-admin/passwordsafe/passwordsafe-1.12.0.ebuild → app-admin/passwordsafe/passwordsafe-1.12.0-r1.ebuild

@ -84,7 +84,7 @@ src_install() {
insinto /usr/share/${PN}
doins -r xml
newicon install/graphics/pwsafe.png ${PN}.png
doicon install/graphics/pwsafe.png
newmenu install/desktop/pwsafe.desktop ${PN}.desktop
}

2
app-admin/rsyslog/Manifest

@ -1,4 +1,6 @@
DIST rsyslog-8.2008.0.tar.gz 3051049 BLAKE2B abf9b7ec81cf62841c448f22c7aff45bc85ea6cdc7552e74295aac752c86380039bb28836e78e35e6eba3d0a062a0ae99ea22ba3d6e978175411a43ec9af6f9a SHA512 a077832de7076ac5e7d4c8f33edd044d0c18fd171a697ef68c1cd0f81f1938b3f008cddc1a61084181de512b643c15004744f0e79e6a44e9d239cec3d35f74fe
DIST rsyslog-8.2010.0.tar.gz 3097606 BLAKE2B 06bfd54edc2126567ff9a460c272583d388a16a4db6f56603c8b9d2dd54bf4fe3b3b402eb4a9523b68e9d3a7602759fad57b35351d7cadab0b7f02771db5c40c SHA512 e3c8ed6b631053e38abfe8ce183a1544d04a0207dc988d36f5141a7ea8c987915f4c0429ccd094b7e374c277b7ee5b50e65e7205c156af01ffe9bdf8338831c8
DIST rsyslog-8.2012.0.tar.gz 3118101 BLAKE2B 26550c90ff5502c051c30996f7a1eabfdd9e5ce229dbb33f91ac40f9af5c2d2b15f9dd8a3b0a31b00b1b510d91fe5ce177ceab5fa2af416a9de9acc4e4b24f6a SHA512 d279295c8d399be140bd5c30786c6a32b2ddfd0d90ca4cd285aa33622c66ad9e3a5b979c8041f6e736670fef8f2cd5571980eef1b1395d4ab30a112f2dd1270d
DIST rsyslog-doc-8.2008.0.tar.gz 8378149 BLAKE2B 0f6bc116a03821899d33c7960e517725487b89ea2aabc7f5d0fbd4962d82a06558737bcee67af02105006c670ec736eb5ba0b7811b25a1e627a99555121b2999 SHA512 5b8bed19017c65469eb8ea7725ef162595b30f520605f37447498ab69b5cfe8f939cee7e7915ecbf3c025871408fd7af6d45ba960a83096f83a397df4cefef09
DIST rsyslog-doc-8.2010.0.tar.gz 8428326 BLAKE2B ee8eb2bdbb1f6c7122559b63ddc1ae6ac7fbfb23d661410feb39d7ddce332851e785bb447fb67dd2de8ff62e91fe865fbf7dec8bf62d7fe51181e3c6bbbe64db SHA512 072fb05a0117dc0970a4e5e302abbaf5dc065c2a0962c4160e7efb86fedad89a2caa546cd2bf4af07b7f5e2fa5267cf02889d911f7a6916725e6aea1760ab253
DIST rsyslog-doc-8.2012.0.tar.gz 6417145 BLAKE2B d8377f40b0311e8e7dcca274c251c0de7706490e3048c8d69d479120e06ca1e0b3ec9fce0a04928984d440da3aef196965f8c1b45afe8931c893b4baa72f4e87 SHA512 5647f499230276066abced34c2ca352268ba24fbd00cb7b5e3d0a2494977dd6f781cf8d1e7c7a9210d23c451ff162acda81ee93afa3f8f08fd555123e9daeece

481
app-admin/rsyslog/rsyslog-8.2012.0.ebuild

@ -0,0 +1,481 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
PYTHON_COMPAT=( python3_{6..9} )
inherit autotools linux-info python-any-r1 systemd
DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"
if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"
DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"
inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"
SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi
LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"
IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
IUSE+=" impcap jemalloc kafka kerberos kubernetes libressl mdblookup"
IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
IUSE+=" systemd test usertools +uuid xxhash zeromq"
RESTRICT="!test? ( test )"
REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"
BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"
RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
imhttp? ( www-servers/civetweb )
impcap? ( net-libs/libpcap )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
)"
if [[ ${PV} == "9999" ]]; then
BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
BDEPEND+=" >=sys-devel/bison-2.4.3"
BDEPEND+=" >=dev-python/docutils-0.12"
fi
CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"
pkg_setup() {
use test && python-any-r1_pkg_setup
}
src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi
if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi
git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs
if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}
src_prepare() {
default
# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"
eautoreconf
}
src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.
if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi
local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without depedencies
--enable-imbatchreport
--enable-imdiag
--enable-imfile
--enable-improg
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without depedencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmtaghostname
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmdb2diag
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable imhttp)
$(use_enable impcap)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)
econf "${myeconfargs[@]}"
}
src_compile() {
default
if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}
src_test() {
local _has_increased_ulimit=
# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"
if ulimit -n 3072; then
_has_increased_ulimit="true"
fi
if ! emake --jobs 1 check; then
eerror "Test suite failed! :("
if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi
if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi
fi
}
src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)
use doc && local HTML_DOCS=( "${S}/docs/build/." )
default
newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}
keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d
insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf
insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}
if use mysql; then
insinto /usr/share/${PN}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi
if use postgres; then
insinto /usr/share/${PN}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi
find "${ED}" -name '*.la' -delete || die
}
pkg_postinst() {
local advertise_readme=0
if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation
advertise_readme=1
if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi
if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi
if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location
echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}
pkg_config() {
if ! use ssl; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi
if ! hash certtool &>/dev/null; then
die "certtool not found! Is net-libs/gnutls[tools] is installed?"
fi
# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"
# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF
certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"
# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN
einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF
certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi
# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN
einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"
cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF
certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"
rm -f "${T}/${PF}.$$"
echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

4
app-admin/salt/Manifest

@ -1,6 +1,8 @@
DIST salt-2019.2.7.tar.gz 14576515 BLAKE2B 4b2476c874a806de8664abd7852d5f856fc1946cc021d3ec8d206f69ec3cd809fe156d4d916d00304c36aad1dfab3a60309eb87d21ce7bb9afc7e8ea77ac23aa SHA512 e9a0d1ada0172239a31c6a8a628e71367aba072c06fe5420f4b864b9c67da89edd03f95abd46fd9ae414c2262b4e7e5c7f53c606f9f3f58e4c84129f2ed43c9e
DIST salt-2019.2.8.tar.gz 14595964 BLAKE2B 7551bbfffe6e4f3107806ef95c9ad1b3fdff6274e8fa679bee143be203929df6d51dcc1e704d1e9458e8051197277257c68c7fd18cf54cad1c49314574c8471b SHA512 e4b45ee264a4e663c6039ca6c89ea0aeff1273b2b40b4d799a30cdb6b23cf568be81e4807ecb2832b2a596993f1512ef45d68e444f3b32e6f5a38d8ce548ddac
DIST salt-3000.2-py38-misc.patch.gz 6250 BLAKE2B 68fff80a042e6bf208ea2d9692da7a7b1e29572f1ec3c850c14743bbf2821d231f933ec4e6d6eaad12acee0b7666888a37a72872b2b082c92d8db9de988fbbec SHA512 6d4a66323a423e630f7cc73b566ed96c452c8fc3d72c25a2dd86033c4774c1c8e8b8701e1d4ee92994d4148c398d704f419023e26d8b40c8fdd63f9d79d9d52f
DIST salt-3000.5.tar.gz 15229450 BLAKE2B 135e9b9dcc461ac898231ce46e6a1359e6d60a43822320950bc0b83057f768dadf55320dd73df72d5bc917f324eef4661e6f75d8eb8e84aef958bd2df8924cfc SHA512 2579f65c24d22d77132057bd8cf37040d7d149624745dd68b4c44318be786580dcc34bf563f90d7de9ef5b726b2453bef4d8639bc8fbd9c5e691500520335317
DIST salt-3001.3.tar.gz 14553356 BLAKE2B 50d073d39826fb15cb424df3e55c2308dd18391c13a5c4a3fb01c1e1ecd8636dd45fdf34b1937563d069e51141fc40f48f77eaec6b1e1d6f9802418e611b20b1 SHA512 a3c0f019fbe1f1edac11af291667f06597dbf4badeb0026107dcab4937efcb306ca6d3ba20195ff9fea5ee7a995db1c3a79236de3e990fc809c305e7f05e1c9d
DIST salt-3000.6.tar.gz 15236781 BLAKE2B 5a532a6915b331fb532dc6e1651cf8fca3e1a5e9f29f6d75260fdb1162dbfeec755c65f7c6fc28b1cc7dc3ace978547830af31aafc1eee8419bbc7e695725787 SHA512 739e3671766c45a0ef1eb45933c7f00f14586e91f4c4a79cbed913a48961a48baee853206ba569491756e8a872d22f3635eb6bc1a366020e551c567b2334c508
DIST salt-3001.4.tar.gz 15716372 BLAKE2B cc33b29b0da9cfaae22726b2b471245880aafa106187b531872a9ae5ee773a94e0d550a68b11b74826bc0b35197a311f690535f2280931ccb5050275ad967c2d SHA512 b7f343c65917280a96d8a3eaa6b508121b11b9f9b0bfffa5b4c79af0023bdecf4581f76014847d97f48d9677edb6f632adec3850153c3048c3114128a250b84b
DIST salt-3002.1.tar.gz 15753988 BLAKE2B d084dc650b8bc92b4ebdb145a41a39bfbd034064fad65e364260eca84d7105fb645ad8f6cea2cc1b6affb1abf21a9858ab6fb526eaf4ecd8f76c70d1384c7edc SHA512 8fc02d0b47dad60f96eb4442b0e8a31f04d796f12b845c8142135593af4c7ea9c2d9335a3f520f8858951f87b0e8cc6be70d383fde2d93a6d529e077bcc87114
DIST salt-3002.2.tar.gz 15765855 BLAKE2B b26895ababc8551e01baa806c5a0e41dab9a379e47d2289b5c3c529ef762c69631d7ed8b32339ec66c3929c5883782131eb56d1bfbcc743829c4f0199a900ca1 SHA512 0f617a07475347b1bb0d1c6059de541e102103182820dfd6f64f4c281d660e68358eb1ab7171a637e16cef9fea2517c8356df9c449f9bbc92538aa86c316f652

13
app-admin/salt/files/salt-2019.2.8-ansible-roster-fix.patch

@ -0,0 +1,13 @@
diff --git a/salt/roster/ansible.py b/salt/roster/ansible.py
index f4a2a23e0b..e6b9e80247 100644
--- a/salt/roster/ansible.py
+++ b/salt/roster/ansible.py
@@ -129,7 +129,7 @@ def targets(tgt, tgt_type='glob', **kwargs):
def _get_hosts_from_group(group):
inventory = __context__['inventory']
- hosts = [host for host in inventory[group].get('hosts', [])]
+ hosts = [host for host in inventory.setdefault(group, {}).get('hosts', [])]
for child in inventory[group].get('children', []):
hosts.extend(_get_hosts_from_group(child))
return hosts

151
app-admin/salt/salt-2019.2.8.ebuild

@ -0,0 +1,151 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_6 )
DISTUTILS_USE_SETUPTOOLS=no
inherit systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cherrypy ldap libcloud libvirt gnupg keyring mako mongodb neutron nova
openssl portage profile redis selinux test vim-syntax"
RDEPEND="
sys-apps/pciutils
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.3[${PYTHON_USEDEP}]
<dev-python/msgpack-1.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
dev-python/pycryptodome[${PYTHON_USEDEP}]
>=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
>=www-servers/tornado-4.2.1[${PYTHON_USEDEP}]
<www-servers/tornado-5.0[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? ( dev-python/libvirt-python[${PYTHON_USEDEP}] )
openssl? (
dev-libs/openssl:0=[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? ( >=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}] )
neutron? ( >=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}] )
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )"
BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
>=dev-python/pytest-salt-2018.12.8[${PYTHON_USEDEP}]
<dev-python/pytest-salt-2020.0.0[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.2.1[${PYTHON_USEDEP}] )
${RDEPEND}
)"
DOCS=( README.rst AUTHORS )
RESTRICT="!test? ( test ) x86? ( test )"
PATCHES=(
"${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
"${FILESDIR}/salt-2019.2.0-tests.patch"
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-2019.2.2-newer-deps.patch"
"${FILESDIR}/salt-2019.2.2-workaround-broken-mock-on-py2.patch"
"${FILESDIR}/salt-2019.2.0-remove-raet-tests.patch"
"${FILESDIR}/salt-2019.2.8-ansible-roster-fix.patch"
)
python_prepare() {
# remove tests with external dependencies that may not be available
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
# breaks with permission errors
rm tests/unit/utils/test_cache.py || die
# remove raet due to deps being dropped
rm tests/unit/modules/test_raet_publish.py \
salt/transport/raet.py \
salt/daemons/test/test_raetkey.py || die
# allow the use of the renamed msgpack
sed -i '/^msgpack/d' requirements/base.txt || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
mkdir "${BUILD_DIR}"/../{templates,conf/cloud.{providers,profiles,maps}.d} || die
(
cleanup() { rm -f "${tempdir}" || die; }
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose \
|| die "testing failed with ${EPYTHON}"
)
}

194
app-admin/salt/salt-3000.6.ebuild

@ -0,0 +1,194 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7,8} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="git://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
https://dev.gentoo.org/~chutzpah/dist/salt/salt-3000.2-py38-misc.patch.gz"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
mongodb neutron nova openssl portage profile redis selinux test raet
+zeromq vim-syntax"
RDEPEND="
sys-apps/pciutils
dev-python/distro[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-0.5[${PYTHON_USEDEP}]
<dev-python/msgpack-1.0[${PYTHON_USEDEP}]
dev-python/pycryptodome[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
libvirt? (
$(python_gen_cond_dep 'dev-python/libvirt-python[${PYTHON_USEDEP}]' python3_7)
)
openssl? (
dev-libs/openssl:0=[-bindist]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? (
$(python_gen_cond_dep '>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]' python3_7)
)
neutron? (
$(python_gen_cond_dep '>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]' python3_7)
)
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )
zeromq? ( >=dev-python/pyzmq-2.2.0[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
${RDEPEND}
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
>=dev-python/pytest-salt-2018.12.8[${PYTHON_USEDEP}]
dev-python/pytest-tempdir[${PYTHON_USEDEP}]
>=dev-python/SaltTesting-2016.5.11[${PYTHON_USEDEP}]
dev-python/virtualenv[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.2.1[${PYTHON_USEDEP}] )
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )
test? ( cheetah genshi )"
RESTRICT="!test? ( test ) x86? ( test )"
PATCHES=(
"${FILESDIR}/salt-2017.7.0-dont-realpath-tmpdir.patch"
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-3000.1-tests.patch"
"${FILESDIR}/salt-3000.2-tests.patch"
# https://github.com/saltstack/salt/pull/55410
"${FILESDIR}/salt-3000.2-py38.patch"
# https://github.com/saltstack/salt/pull/55900
"${FILESDIR}/salt-3000.2-py38-abc.patch"
# misc py38 fixups
"${WORKDIR}/salt-3000.2-py38-misc.patch"
"${FILESDIR}/salt-3000.2-py38-logwarn.patch"
"${FILESDIR}/salt-2019.2.8-ansible-roster-fix.patch"
)
python_prepare() {
# remove tests with external dependencies that may not be available
rm tests/unit/{test_zypp_plugins.py,utils/test_extend.py} || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
# tests that require network access
rm tests/unit/{states,modules}/test_zcbuildout.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find . -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d' -i || die
einfo "Fixing collections.abc warnings for ${EPYTHON}"
local abc
abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
# allow the use of the renamed msgpack
sed -i '/^msgpack/d' requirements/base.txt || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-4 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
(
cleanup() { rm -f "${tempdir}" || die; }
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
USE_SETUPTOOLS=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose \
|| die "testing failed with ${EPYTHON}"
)
}
pkg_postinst() {
if use python_targets_python3_8; then
if use nova; then
ewarn "Salt's nova functionality will not work with python3.8 since"
ewarn "dev-python/python-novaclient does not support it yet"
fi
if use neutron; then
ewarn "Salt's neutron functionality will not work with python3.8 since"
ewarn "dev-python/python-neutronclient does not support it yet"
fi
if use libvirt; then
ewarn "Salt's libvirt functionality will not work with python3.8 since"
ewarn "dev-python/libvirt-python does not support it yet"
fi
fi
}

0
app-admin/salt/salt-3001.3.ebuild → app-admin/salt/salt-3001.4.ebuild

BIN
app-arch/Manifest.gz

2
app-arch/lz4/lz4-1.9.3.ebuild

@ -13,7 +13,7 @@ SRC_URI="https://github.com/lz4/lz4/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2 GPL-2"
# https://abi-laboratory.pro/tracker/timeline/lz4/
SLOT="0/r132"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs"
CMAKE_USE_DIR=${S}/build/cmake

1
app-arch/zstd/Manifest

@ -1,2 +1,3 @@
DIST zstd-1.4.4.tar.gz 1962617 BLAKE2B e21841a53b6c60703e5500cfc2a02923c4c3e57975aa57e1060310171e0d83d7c8eda1bd0510d5736db5c310d76847d2105ac5f614867fc3a9dc3086a035dfd7 SHA512 8209837e8eb14e474dfe21d5511085f46cef93b03ab77613fd41e7b8be652418231c38852669c8e0b55b78ad41ea2cb8008d0da122a83f8f27e32b5c86f045cf
DIST zstd-1.4.5.tar.gz 1987927 BLAKE2B 1497d4e87040e5c71466468ebf1a57f4073666f2b005229925bc1d95a4b4fcb2a51d88bb79be20f21860e5750da42f8aac21d2997421d07ba37bd6bb12a28b55 SHA512 b03c497c3e0590c3d384cb856e3024f144b2bfac0d805d80e68deafa612c68237f12a2d657416d476a28059e80936c79f099fc42331464b417593895ea214387
DIST zstd-1.4.7.tar.gz 1817193 BLAKE2B 8a307fa7efca8baa45c61eb0e46c5b6eedff1459a9493d81ad7033b9050ccf96e39cfc0f5b913ea20fb64d5efa26063b70e36e6cc47077b17106f3b5135fd999 SHA512 720941fc484e36e2f2bd74f120966fc598781a7abb945ed2f553d4cb035fa007117d00b72979b037817fbaff60b0d72f698fc16561ccbd46b16ae2888b044548

73
app-arch/zstd/zstd-1.4.7.ebuild

@ -0,0 +1,73 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit flag-o-matic multilib-minimal toolchain-funcs
DESCRIPTION="zstd fast compression library"
HOMEPAGE="https://facebook.github.io/zstd/"
SRC_URI="https://github.com/facebook/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="lz4 static-libs +threads"
RDEPEND="app-arch/xz-utils
lz4? ( app-arch/lz4 )"
DEPEND="${RDEPEND}"
PATCHES=(
"${FILESDIR}/${PN}-1.4.5-fix-uclibc-ng.patch" #741972
)
src_prepare() {
default
multilib_copy_sources
# Workaround #713940 / https://github.com/facebook/zstd/issues/2045
# where upstream build system does not add -pthread for Makefile-based
# build system.
use threads && append-flags $(test-flags-CCLD -pthread)
}
mymake() {
emake \
CC="$(tc-getCC)" \
CXX="$(tc-getCXX)" \
AR="$(tc-getAR)" \
PREFIX="${EPREFIX}/usr" \
LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
"${@}"
}
multilib_src_compile() {
local libzstd_targets=( libzstd{,.a}$(usex threads '-mt' '') )
mymake -C lib ${libzstd_targets[@]} libzstd.pc
if multilib_is_native_abi ; then
mymake HAVE_LZ4="$(usex lz4 1 0)" zstd
mymake -C contrib/pzstd
fi
}
multilib_src_install() {
mymake -C lib DESTDIR="${D}" install
if multilib_is_native_abi ; then
mymake -C programs DESTDIR="${D}" install
mymake -C contrib/pzstd DESTDIR="${D}" install
fi
}
multilib_src_install_all() {
einstalldocs
if ! use static-libs; then
find "${ED}" -name "*.a" -delete || die
fi
}

BIN
app-backup/Manifest.gz

4
app-backup/bareos/Manifest

@ -1,3 +1,3 @@
DIST bareos-17.2.10.tar.gz 4190783 BLAKE2B d2deb9368438b5281ea36768b80cc15840135a77a19952daa895c4e30ee6ad231d9ecf28a6d860bd372eb08c1c34f9f827843745c87f465d3a59ab048aecc001 SHA512 3e145627a08927790deb8f75e5167e6e69710733eb1866a93adb34617c274c2b51145a6b1253388784f67bc4886fec7fbb423893a36d377bb96334a2dc7768f2
DIST bareos-18.2.9.tar.gz 10554581 BLAKE2B 1277956a87794e707050c119a0e2d6a879f47bd67bde7fa230796b6f9a8c0b6ca1cddf35f12b6e53d0841f6cfbb86c586157b9705d36c515adaf1021bb23edc1 SHA512 f40c0bc696f31ee4eb443cc7a76a5810620a2fbb5fa421afc580e047879ce86b1288de92679695e00074a3bfd5a5ac2a4cb4fb8f8acbb39e615df19ad9cf7934
DIST bareos-19.2.8.tar.gz 12604929 BLAKE2B c3af2d0a62b861a4ad5ca5c115a2039356009b7524505e1beb9004636fd09dd2b6ca784a5aae8c1cec3db518fb047cde429c469b8298a6bb473b097012358302 SHA512 60bbbbd949a63f978cf1ed7d0cfc22c22f117d8c2700eb47531e15b2d91fc700c522519f0b816cd1040283f09b4c81f36910c66c8b6f4bf1ff22180e979bdeb5
DIST bareos-18.2.10.tar.gz 10558902 BLAKE2B ffeac4169131dfc28ec0c9cd9816962492a920b3309ba41a48eec37641fc35027e5f1d1f7d9bf3a7fc2ce2982899e991f4d846f42852e7fbf0643090cccf7096 SHA512 2c31029fdcabe26d36d5aab5ed91686bb0b497eef707ca8fbf82a72a62259651aae4a7516a8812141f6a8e0e2de97e16e5f008d11bb1e483f176f67397e5f69e
DIST bareos-19.2.9.tar.gz 12886739 BLAKE2B 93b01a71e0824efc8a82c62107de03a0e6df23f600e005c9a98f5f0e541b13c4181dbb11b79fdd2a6f144e1cdbc25a95b1b310576bd3b79721f757c652881626 SHA512 b480a9a8dd459b8af3ab353bc5de2f8d1498d5754416972990add8cc6c8ea40462f6bde01ae92ca23f91c96d8ac2e6daf1dae085de80f021d52c5c87dc9a103e

0
app-backup/bareos/bareos-18.2.9.ebuild → app-backup/bareos/bareos-18.2.10.ebuild

0
app-backup/bareos/bareos-19.2.8.ebuild → app-backup/bareos/bareos-19.2.9.ebuild

BIN
app-benchmarks/Manifest.gz

1
app-benchmarks/geekbench/Manifest

@ -2,5 +2,4 @@ DIST Geekbench-2.4.2-LinuxARM.tar.gz 1921401 BLAKE2B 34d86178e35d586b79182b33203
DIST Geekbench-2.4.3-Linux.tar.gz 3337551 BLAKE2B cb660f3c08cc812cb23374032490a148449a36845fe63320788432493581ec6bd5958bf178d83d68b532ffbe5c7ee13e92b0bb00c0aca968bb2e499453f1b7a7 SHA512 d84e13eb5fd28fb232a5f93aa76f4855adcb9ccffbcd90dacc3e2b45231afd82e78d40c63f729391e5d00e95c14653e83757faca4e543c6306dd913c4e0edb87
DIST Geekbench-3.4.2-Linux.tar.gz 9986039 BLAKE2B 63d7e768d65bc033260a0d99da17df2e518750f19882e63dbc9bbe6ff0b52a8cddb35b9143e85c01838bf5d77a04599578fc0a57a3e6fd89e7aec8c8ffdd4f5b SHA512 a61a5d5481682baefdce64f6054c3373900e8cd585dcbfa2feabbf386032986b40b603619c552102401a83e0b748831d00af5b5b5278e88ef42dee176adf06e9
DIST Geekbench-4.4.1-Linux.tar.gz 71076124 BLAKE2B 14c2b80c971798e7d2bb256e76c7ab9c48e8c1c389e2f7547a436f706ac4f21c1e52e564cd584893071ee2f9f0a4747cd03ea72cc728ff8e4f369d5cc794d77a SHA512 fa687d33a7d7a2d09c544e3d17de93f41cfa77915c708cd1ef0743f84f7f83df9d3f8df2872a8f85ed2c4c872e3cd41932685ffeb19cdb0ea047ab5116713420
DIST Geekbench-5.2.3-Linux.tar.gz 93047726 BLAKE2B 22cf414d89ef8854b8797ed7ad6b674ff6162daa003745d94c0481a71a2b7c1b7fbfd06d7a0e997b41da2107feb27a69af768196bf4114681c8bce39d2640112 SHA512 cacc1014b1522de281704e5210c44b81a51b24b63fb4c4be3c28e729261af2f12c5a52ad2a79b10bf597a1b24378cf03d7483d032d5e0c483069f8dc2695339e
DIST Geekbench-5.3.1-Linux.tar.gz 93054604 BLAKE2B bf8c2ecb0eeed5c74868499a1bf0cd248b5d8a92888c5df37f674d98e79af4ba636971fe1007edc368a463ce391d273b79ea33cbfa2ed8564a751962e928d2fc SHA512 14f8112b9e76dee726074863dc321b63956804b2666d42835cb863b9c61548168b9cb80f2e45a64695706c77afc91e792e874b4451b7b503f18b194804c16bdf

43
app-benchmarks/geekbench/geekbench-5.2.3.ebuild

@ -1,43 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="A Cross-Platform Benchmark for Android, iOS, Linux, MacOS and Windows"
HOMEPAGE="https://www.geekbench.com/"
SRC_URI="https://cdn.geekbench.com/Geekbench-${PV}-Linux.tar.gz"
KEYWORDS="-* amd64"
LICENSE="geekbench"
SLOT="5"
RESTRICT="bindist mirror"
S="${WORKDIR}/Geekbench-${PV}-Linux"
QA_PREBUILT="
opt/geekbench5/geekbench5
opt/geekbench5/geekbench_x86_64
"
pkg_nofetch() {
elog "Please download ${A} from ${HOMEPAGE}/download/linux"
elog "and place it in your DISTDIR directory."
}
src_install() {
exeinto /opt/geekbench5
doexe geekbench5 geekbench_x86_64
insinto /opt/geekbench5
doins geekbench.plar
dodir /opt/bin
dosym ../geekbench5/geekbench5 /opt/bin/geekbench5
}
pkg_postinst() {
elog "If you have purchased a commercial license, you can enter"
elog "your email address and your license key with the following command:"
elog "geekbench5 -r <email address> <license key>"
}

2
app-benchmarks/geekbench/geekbench-5.3.1.ebuild

@ -7,7 +7,7 @@ DESCRIPTION="A Cross-Platform Benchmark for Android, iOS, Linux, MacOS and Windo
HOMEPAGE="https://www.geekbench.com/"
SRC_URI="https://cdn.geekbench.com/Geekbench-${PV}-Linux.tar.gz"
KEYWORDS="-* ~amd64"
KEYWORDS="-* amd64"
LICENSE="geekbench"
SLOT="5"

BIN
app-crypt/Manifest.gz

1
app-crypt/dehydrated/Manifest

@ -1 +1,2 @@
DIST dehydrated-0.6.5.tar.gz 82274 BLAKE2B 3c8138bafdaab9c60db1463860d6c16dd0fb8e686f368e55a4fa010d004f350d03cdd161dde38361411506959f896a25ef802b76432c0fcd89a69d75fe1be9c9 SHA512 da8ff3ecb7ddeb25356469fa272aef4e7c3705049caf88d09656dbc4baf29e0efa135e6f154c78cec82da17a27a78f2145ee3b7bd71521a080e10550d09b8a53
DIST dehydrated-0.7.0.tar.gz 86574 BLAKE2B 35a3b0b7592126ca65003a6c9eb8934a76584710d028057e5add7f77bb2fa3799e89a060306da3b98a62d291229a2a78f23e0f95f19e033796aee31e97b94488 SHA512 47740d2d31ca73482a4fc5ed0dfce986af907dd5449cb3a5230bf9683845686c8122fc32e6219a4439574ef11d6fb104ee09591c5ff667927a2c9c13ba005511

50
app-crypt/dehydrated/dehydrated-0.7.0.ebuild

@ -0,0 +1,50 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
DESCRIPTION="a client for signing certificates with an ACME-server"
HOMEPAGE="https://github.com/lukas2511/dehydrated"
SRC_URI="https://github.com/lukas2511/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
IUSE="+cron"
RDEPEND="acct-group/dehydrated
acct-user/dehydrated
app-shells/bash
net-misc/curl
cron? ( virtual/cron )"
PATCHES=( "${FILESDIR}"/${P}-fix-CN-extraction-for-older-openssl-versions.patch )
src_configure() {
default
sed -i 's,^#CONFIG_D=.*,CONFIG_D="/etc/dehydrated/config.d",' docs/examples/config || die "could not set config (CONFIG_D)"
}
src_install() {
dobin ${PN}
insinto /etc/${PN}
doins docs/examples/{config,domains.txt,hook.sh}
fperms u+x /etc/${PN}/hook.sh
dodoc docs/*.md
insinto /etc/${PN}/config.d
doins "${FILESDIR}"/00_gentoo.sh
if use cron ; then
insinto /etc/cron.d
newins "${FILESDIR}"/cron ${PN}
fi
}
pkg_postinst() {
if [[ -z "${REPLACING_VERSIONS}" ]] ; then
einfo "See /etc/dehydrated/config for configuration."
use cron && einfo "After finishing setup you should enable the cronjob in /etc/cron.d/dehydrated."
fi
}

30
app-crypt/dehydrated/files/dehydrated-0.7.0-fix-CN-extraction-for-older-openssl-versions.patch

@ -0,0 +1,30 @@
From 29b67962ac07d5d2b24f69c863a9ef31e8ac53ee Mon Sep 17 00:00:00 2001
From: Lukas Schauer <lukas@schauer.so>
Date: Fri, 11 Dec 2020 18:02:51 +0100
Subject: [PATCH] fix CN extraction for older openssl versions
---
dehydrated | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/dehydrated b/dehydrated
index 622165e..37e0ab6 100755
--- a/dehydrated
+++ b/dehydrated
@@ -926,14 +926,14 @@ extract_altnames() {
printf "%s" "${altnames}" | tr '\n' ' '
else
# No SANs, extract CN
- altnames="$( <<<"${reqtext}" grep '^[[:space:]]*Subject:' | _sed -e 's/.* CN ?= ?([^ /,]*).*/\1/' )"
+ altnames="$( <<<"${reqtext}" grep '^[[:space:]]*Subject:' | _sed -e 's/.*[ /]CN ?= ?([^ /,]*).*/\1/' )"
printf "%s" "${altnames}"
fi
}
# Get last issuer CN in certificate chain
get_last_cn() {
- <<<"${1}" _sed 'H;/-----BEGIN CERTIFICATE-----/h;$!d;x' | "${OPENSSL}" x509 -noout -issuer | head -n1 | _sed -e 's/.* CN ?= ?([^/,]*).*/\1/'
+ <<<"${1}" _sed 'H;/-----BEGIN CERTIFICATE-----/h;$!d;x' | "${OPENSSL}" x509 -noout -issuer | head -n1 | _sed -e 's/.*[ /]CN ?= ?([^/,]*).*/\1/'
}
# Create certificate for domain(s) and outputs it FD 3

2
app-crypt/libmd/libmd-1.0.1.ebuild

@ -10,7 +10,7 @@ SRC_URI="https://archive.hadrons.org/software/libmd/${P}.tar.xz"
LICENSE="|| ( BSD BSD-2 ISC BEER-WARE public-domain )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="static-libs"
src_configure() {

2
app-crypt/nwipe/Manifest

@ -1 +1 @@
DIST nwipe-0.28.tar.gz 849147 BLAKE2B de81c526edc9ce106d48297796e1d42689bafae20be8ac20f6a8eb6474c8202dffdfbad2f91c8282bf5f747921b90402a3a84e411d8a8b2adb0c2e785bfaf315 SHA512 2b6cb6dbcbb51960f726d8ec6c1629fb4675af4b3f7b39ee1fc91244fc9391f4ea23bae5c8794cc92a675ce202be60df900658b6d9a95b5bb399c0e6f009ce69
DIST nwipe-0.30.tar.gz 6358657 BLAKE2B 69fdcfaacb32aacc27b375a793bff5b7014979c8097ef3b48c2c307e4bc3a828de7c01b6a58e46346dc58a1b4beee4a408074706175098c364dff7ecf67771d3 SHA512 b6d86d78dafbe6c5e27b00b183673dc77dedcf849ecd169b616c90bcda5180bc10fe072580c13f027abaa5fd840e73034ac75af75fe1cf6eb0756273bf46975f

5
app-crypt/nwipe/nwipe-0.28.ebuild → app-crypt/nwipe/nwipe-0.30.ebuild

@ -13,8 +13,9 @@ LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND=">=sys-block/parted-2.3
>=sys-libs/ncurses-5.7-r7:="
RDEPEND="
sys-block/parted
sys-libs/ncurses:="
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"

4
app-crypt/p11-kit/Manifest

@ -1,3 +1 @@
DIST p11-kit-0.23.19.tar.xz 822652 BLAKE2B c1750e2d0b8ebdfcf70695259401a029b2d5739d8222c37f128f94f8a4313321956e120dcba5c7cb882d16e1a6b12398f9dfa88ef601e826f0dfec5acbf438c8 SHA512 1a7feb2c14381f2ca87386b6a81f46cfb27ccce70ad87a2fc86726e2827b49971958e40c4fc54df01df7570d82058afe82d21c5b3c59fb8310aa641d3b370da2
DIST p11-kit-0.23.20.tar.xz 822588 BLAKE2B adda58acc121d38d3520d20daf8f59c3c46f81afe807d9277fae70e836d194d08cfea0405d2186d548ea91be56eee63d576a318c330fa844a0cf1889960db384 SHA512 1eb88773fdd49dd48c7e089744e9dbbf6c1033a4863f3bfe75a68d842804baa3c373cb1b28ee625dd69a6e16c89df4ac755e0928495dccf38c007c530f6cfa57
DIST p11-kit-0.23.21.tar.xz 827064 BLAKE2B 31a19b80c1ba41db0115bd3ea8381f6c0ad66b173b5d07f2b8f9e3222c83ea5703ec12539b13448e4b1b929b912ce3af88536b30a73ddf7979470282954b0efd SHA512 4c796ca2c72a650f105a7a70aa62e55edb12e1c151e91ef92bfeee6c5c68982b36023400b42c4efcb1d351b7848e8618c26607cdb0f77b48ae40e2ecfd713e3e
DIST p11-kit-0.23.22.tar.xz 830016 BLAKE2B 4e1edfd9e2441d237c07a16c003aee5ffde38f1cf545c26e435645429f2cfa4fe7ca61cdc3c3940390aa040ba991f2ee3995b14cc31bb886d5eeffa8ed5e1721 SHA512 098819e6ca4ad9cc2a0bc2e478aea67354d051a4f03e6c7d75d13d2469b6dc7654f26b15530052f6ed51acb35531c2539e0f971b31e29e6673e857c903afb080

62
app-crypt/p11-kit/p11-kit-0.23.20-r1.ebuild

@ -1,62 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit multilib-minimal
DESCRIPTION="Provides a standard configuration setup for installing PKCS#11"
HOMEPAGE="https://p11-glue.github.io/p11-glue/p11-kit.html"
SRC_URI="https://github.com/p11-glue/p11-kit/releases/download/${PV}/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="+asn1 debug +libffi systemd +trust"
REQUIRED_USE="trust? ( asn1 )"
RDEPEND="asn1? ( >=dev-libs/libtasn1-3.4:=[${MULTILIB_USEDEP}] )
libffi? ( dev-libs/libffi:=[${MULTILIB_USEDEP}] )
systemd? ( sys-apps/systemd:= )
trust? ( app-misc/ca-certificates )"
DEPEND="${RDEPEND}"
BDEPEND="virtual/pkgconfig"
pkg_setup() {
# disable unsafe tests, bug#502088